Loading...
Searching...
No Matches
pcl::internal::cloud_point_index_idx Struct Reference

Used internally in voxel grid classes. More...

`#include <pcl/filters/voxel_grid.h>`

## Public Member Functions

| cloud_point_index_idx ()=default
| cloud_point_index_idx (unsigned int idx_, unsigned int cloud_point_index_)
bool | operator< (const cloud_point_index_idx &p) const

## Public Attributes

unsigned int | idx
unsigned int | cloud_point_index

## Detailed Description

Used internally in voxel grid classes.

Definition at line 874 of file voxel_grid.h.

## Constructor & Destructor Documentation

## cloud_point_index_idx() [1/2]

pcl::internal::cloud_point_index_idx::cloud_point_index_idx | ( |  | ) |

default

Referenced by operator<().

## cloud_point_index_idx() [2/2]

pcl::internal::cloud_point_index_idx::cloud_point_index_idx | ( | unsigned int | idx_,
|  | unsigned int | cloud_point_index_ )

inline

Definition at line 880 of file voxel_grid.h.

References cloud_point_index, and idx.

## Member Function Documentation

## operator<()

bool pcl::internal::cloud_point_index_idx::operator< | ( | const cloud_point_index_idx & | p | ) | const

inline

Definition at line 881 of file voxel_grid.h.

References cloud_point_index_idx(), and idx.

## Member Data Documentation

## cloud_point_index

unsigned int pcl::internal::cloud_point_index_idx::cloud_point_index

Definition at line 877 of file voxel_grid.h.

Referenced by cloud_point_index_idx().

## idx

unsigned int pcl::internal::cloud_point_index_idx::idx

Definition at line 876 of file voxel_grid.h.

Referenced by pcl::VoxelGrid< PointT >::applyFilter(), cloud_point_index_idx(), and operator<().

The documentation for this struct was generated from the following file:

- pcl/filters/voxel_grid.h